// simple_input_handling.h - useful simple input handling using
// callbacks and a dispatcher

#ifndef __simple_input_handling_h__
#define __simple_input_handling_h__

#define MAX_LINE_LENGTH 256
#define ILLEGAL_ARGUMENTS -1

void run();
int readLine(char *str,unsigned max_length);
void addToDispatcher(unsigned char input,
                     void (*handler)(char *input_line));
void removeFromDispatcher(unsigned char input);
void setPrompt(char *prompt);
void commandNotRecognized(char *command_line);

#endif // __simple_input_handling_h__

